## python-asttokens 2.0.4

=== Makefile ===
dist:
	@echo Build python distribution
	python setup.py sdist bdist_wheel

publish:
	@echo "Publish to PyPI at https://pypi.python.org/pypi/asttokens/"
	@echo "Version in setup.py is `python setup.py --version`"
	@echo "Git tag is `git describe --tags`"
	@echo "Run this manually: twine upload dist/asttokens-`python setup.py --version`*"

docs:
	@echo Build documentation in docs/_build/html
	source env/bin/activate ; PYTHONPATH=$(abspath .) $(MAKE) -C docs html

clean:
	python setup.py clean
	source env/bin/activate ; PYTHONPATH=$(abspath .) $(MAKE) -C docs clean

.PHONY: dist publish docs clean

## python-asttokens 1.1.13

=== debian/changelog ===
python-asttokens (1.1.13-2) unstable; urgency=low

  * Fix copyright holder in d/copyright.

 -- Dominik George <natureshadow@debian.org>  Tue, 12 Feb 2019 12:51:27 +0100

python-asttokens (1.1.13-1) unstable; urgency=low

  * Initial release. (Closes: #920896)

 -- Dominik George <natureshadow@debian.org>  Wed, 30 Jan 2019 12:32:50 +0100

=== debian/control ===
Source: python-asttokens
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-astroid,
 python3-nose,
 python3-setuptools,
 python3-six,
Standards-Version: 4.3.0
Homepage: https://pypi.org/project/asttokens/
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/modules/python-asttokens.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asttokens

Package: python3-asttokens
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: annotate Python asbtract syntax trees with code references (Python 3)
 The asttokens module annotates Python abstract syntax trees (ASTs) with the
 positions of tokens and text in the source code that generated them.
 .
 It makes it possible for tools that work with logical AST nodes to find the
 particular text that resulted in those nodes, for example for automated
 efactoring or highlighting.
 .
 This package contains the Python 3 version.

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
http://pypi.debian.net/asttokens/asttokens@ANY_VERSION@@ARCHIVE_EXT@

## python-asttokens 2.0.3

=== debian/changelog ===
python-asttokens (2.0.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * d/watch: Use https protocol.
  * Bump Standards-Version to 4.4.1.

  [ Diego M. Rodriguez ]
  * New upstream version 2.0.3. (Closes: #950072)
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.5.0.
  * Replace nose with pytest in build-depends.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Feb 2020 12:04:55 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-astroid,
- python3-nose,
+ python3-pytest,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://pypi.org/project/asttokens/
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-asttokens.git

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
https://pypi.debian.net/asttokens/asttokens@ANY_VERSION@@ARCHIVE_EXT@

## python-asttokens 2.0.4

=== debian/changelog ===
python-asttokens (2.0.4-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Boyuan Yang ]
  * New upstream release.
    + Compatible with python 3.9. (Closes: #972723, #975731)
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compat to v13.
  * Replace python3-all build-dependency with python3:any to drop
    python3.8 support.
  * Add some missing build-dependencies.
  * debian/rules: Temporarily allow 6 failed tests due to known bug
    in python3.9. See upstream issue #59 for details.

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Nov 2020 18:55:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: python-asttokens
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3,
  python3-astroid,
  python3-pytest,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-six,
-Standards-Version: 4.5.0
+ python3-toml,
+ python3-wheel,
+Standards-Version: 4.5.1
 Homepage: https://pypi.org/project/asttokens/
 Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-asttokens.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-asttokens
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-asttokens.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asttokens
 
 Package: python3-asttokens
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asttokens

%:
	dh $@ --with python3 --buildsystem=pybuild

# https://github.com/gristlabs/asttokens/issues/59
#
override_dh_auto_test:
	-dh_auto_test

## python-asttokens 2.0.5

=== debian/changelog ===
python-asttokens (2.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * debian/patches: Drop patches, no longer needed.

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Aug 2021 17:32:44 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-six,
  python3-toml,
  python3-wheel,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pypi.org/project/asttokens/
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asttokens.git

## python-asttokens 2.2.0

=== debian/changelog ===
python-asttokens (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix compatibility with python3.10. (Closes: #1022445)

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Nov 2022 12:50:52 -0500

python-asttokens (2.0.5-2) unstable; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * debian/rules: Re-enable tests since the library is now compatible
    with python3.10. (Closes: #976119)
  * debian/control: Use actual project homepage.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Apr 2022 14:36:47 -0400

## python-asttokens 2.2.1

=== debian/changelog ===
python-asttokens (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Jan 2023 11:05:10 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-toml,
  python3-wheel,
 Standards-Version: 4.6.0
-Homepage: https://pypi.org/project/asttokens/
+Homepage: https://github.com/gristlabs/asttokens
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asttokens.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asttokens

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asttokens

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-asttokens 2.4.1

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --config=pyproject.toml --output-file=docs/requirements.txt docs/requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via sphinx
certifi==2023.7.22
    # via requests
charset-normalizer==3.2.0
    # via requests
docutils==0.18.1
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.4
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.3
    # via jinja2
packaging==23.1
    # via sphinx
pygments==2.16.1
    # via sphinx
readthedocs-sphinx-search==0.3.1
    # via -r requirements.in
requests==2.31.0
    # via sphinx
six==1.16.0
    # via -r requirements.in
snowballstemmer==2.2.0
    # via sphinx
sphinx==6.2.1
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==1.2.2
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.4
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.1
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==2.0.7
    # via requests

=== debian/changelog ===
python-asttokens (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Yse v4 for d/watch
  * Patch-out usage of python3-six
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sun, 29 Sep 2024 22:35:56 +0200

python-asttokens (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Migrate to pybuild-plugin-pyproject build-dep.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Nov 2023 05:31:49 -0500

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3,
  python3-astroid,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
- python3-six,
  python3-toml,
  python3-wheel,
-Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://github.com/gristlabs/asttokens
 Testsuite: autopkgtest-pkg-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asttokens.git

## python-asttokens 3.0.0

=== Makefile ===
dist:
	@echo Build python distribution
	@echo "(If no 'build' module, install with 'python -m pip install build setuptools_scm')"
	python -m build

publish:
	@echo "Publish to PyPI at https://pypi.python.org/pypi/asttokens/"
	@VER=`python -c 'import setuptools_scm; print(setuptools_scm.get_version())'`; \
	echo "Version in setup.py is $$VER"; \
	echo "Git tag is `git describe --tags`"; \
	echo "Run this manually: twine upload dist/asttokens-$$VER*"

docs:
	@echo Build documentation in docs/_build/html
	source env/bin/activate ; PYTHONPATH=$(abspath .) $(MAKE) -C docs html

clean:
	python setup.py clean
	source env/bin/activate ; PYTHONPATH=$(abspath .) $(MAKE) -C docs clean

.PHONY: dist publish docs clean

=== docs/requirements.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
     # via sphinx
 babel==2.12.1
     # via sphinx
-certifi==2023.7.22
+certifi==2024.7.4
     # via requests
 charset-normalizer==3.2.0
     # via requests
@@ -16,11 +16,11 @@
     # via
     #   sphinx
     #   sphinx-rtd-theme
-idna==3.4
+idna==3.7
     # via requests
 imagesize==1.4.1
     # via sphinx
-jinja2==3.1.2
+jinja2==3.1.4
     # via sphinx
 markupsafe==2.1.3
     # via jinja2
@@ -28,12 +28,10 @@
     # via sphinx
 pygments==2.16.1
     # via sphinx
-readthedocs-sphinx-search==0.3.1
+readthedocs-sphinx-search==0.3.2
     # via -r requirements.in
-requests==2.31.0
+requests==2.32.2
     # via sphinx
-six==1.16.0
-    # via -r requirements.in
 snowballstemmer==2.2.0
     # via sphinx
 sphinx==6.2.1
@@ -57,5 +55,5 @@
     # via sphinx
 sphinxcontrib-serializinghtml==1.1.5
     # via sphinx
-urllib3==2.0.7
+urllib3==2.2.2
     # via requests

=== debian/changelog ===
python-asttokens (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.0
  * Remove patch applied upstream
  * Trim Python2 vs 3 crumb from debian/changelog

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Nov 2024 08:33:06 +0100

=== debian/control ===
--- 
+++ 
@@ -34,5 +34,3 @@
  It makes it possible for tools that work with logical AST nodes to find the
  particular text that resulted in those nodes, for example for automated
  efactoring or highlighting.
- .
- This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=asttokens

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
https://pypi.debian.net/asttokens/asttokens@ANY_VERSION@@ARCHIVE_EXT@

## python-asttokens 3.0.1

=== debian/changelog ===
python-asttokens (3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Skip TestMarkTokens::test_deep_recursion on Python 3.13/s390x (see
    https://github.com/gristlabs/asttokens/issues/159).
  * Test on all supported Python versions.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jan 2026 00:58:59 +0000

python-asttokens (3.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Switch to autopkgtest-pkg-pybuild.
  * Add runtime dependency on python3-astroid.

  [ Colin Watson ]
  * New upstream release:
    - Adapt asttokens for astroid 4.x (closes: #1124194).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2025 19:56:44 +0000

python-asttokens (3.0.0-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 15:46:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,22 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
- python3,
+ python3-all,
  python3-astroid,
  python3-pytest,
  python3-setuptools,
  python3-setuptools-scm,
- python3-toml,
  python3-wheel,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/gristlabs/asttokens
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-asttokens.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-asttokens
 
 Package: python3-asttokens
 Architecture: all
 Depends:
+ python3-astroid,
  ${misc:Depends},
  ${python3:Depends},
 Description: annotate Python asbtract syntax trees with code references (Python 3)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=asttokens
ifeq ($(DEB_HOST_ARCH),s390x)
# https://github.com/gristlabs/asttokens/issues/159; passes on Python 3.14.
export PYBUILD_TEST_ARGS_python3.13=--deselect tests/test_mark_tokens.py::TestMarkTokens::test_deep_recursion tests
endif

%:
	dh $@ --buildsystem=pybuild
